1. Product
Bunjang Open API
  • Overview
  • Changelog
  • Authentication
  • Product Catalog
    • Service Base URL
    • Sample Data
    • Full Catalog Download
      GET
    • Segment Catalog Download
      GET
  • Rest API
    • Service Base URL
    • Error Codes
    • Product Category
      • List Categories
    • Brand
      • List Brands
    • Product
      • Get Product
        GET
      • Filter On-Sale Products
        POST
      • Search Products
        GET
    • Point
      • Get Point Balance
      • Create Point Charge
      • Get Point Charge
      • Cancel Point Charge
    • Order
      • Create Order
      • Confirm Order
      • Get Order
      • List Orders
      • Create Order (Deprecated)
  • Webhooks
    • Overview
    • Signature Verification
    • Retry & Idempotency
    • Events
      • Order Status Changed
  • Schemas
    • Webhooks
      • WebhookEnvelope
      • WebhookOrderStatusChangedData
    • Product Condition
    • Product Active Sale Status
    • Order Status
  1. Product

Get Product

Prod Env
https://openapi.bunjang.co.kr
Prod Env
https://openapi.bunjang.co.kr
GET
https://openapi.bunjang.co.kr
/api/v1/products/{pid}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi.bunjang.co.kr/api/v1/products/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "pid": 12345,
        "uid": 123,
        "name": "에이수스 게이밍 노트북",
        "description": "노트북 팝니다. 작동에는 문제 없지만, 사용감은 좀 있습니다.",
        "categoryId": "600100001",
        "brandId": 152,
        "quantity": 1,
        "price": 24000,
        "shippingFee": 4000,
        "condition": "HEAVILY_USED",
        "saleStatus": "SELLING",
        "imageUrls": [
            "https://media.bunjang.co.kr/product/286843781_1_1724935891_w900.jpg"
        ],
        "keywords": [
            "노트북",
            "에이수스"
        ],
        "options": [
            {
                "id": "저장용량",
                "value": "128GB"
            },
            {
                "id": "램 용량",
                "value": "기타 (상품설명에 작성)"
            }
        ],
        "updatedAt": "2024-08-01T13:00:03Z",
        "createdAt": "2024-08-01T11:05:03Z"
    }
}
🟠401INVALID_AUTH_TOKEN
🟠404ERR_PRODUCT_NOT_FOUND
🟠400BAD_REQUEST
Modified at 2026-03-03 18:15:45
Previous
List Brands
Next
Filter On-Sale Products
Built with